
From: Christoph Hellwig <hch@lst.de>

the ibm_emac_mal.c one is in exported function, so useless, the other
two are stale decrements.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/epca.c                 |    1 -
 25-akpm/drivers/net/ibm_emac/ibm_emac_mal.c |    4 ----
 25-akpm/drivers/net/lasi_82596.c            |    2 --
 3 files changed, 7 deletions(-)

diff -puN drivers/char/epca.c~remove-mod_incdec_use_count-users-that-got-back-in drivers/char/epca.c
--- 25/drivers/char/epca.c~remove-mod_incdec_use_count-users-that-got-back-in	2004-09-06 14:27:58.106493240 -0700
+++ 25-akpm/drivers/char/epca.c	2004-09-06 14:27:58.115491872 -0700
@@ -3306,7 +3306,6 @@ static void do_softint(void *private_)
 		}
 
 	} /* End EPCA_MAGIC */
-	MOD_DEC_USE_COUNT;
 } /* End do_softint */
 
 /* ------------------------------------------------------------
diff -puN drivers/net/ibm_emac/ibm_emac_mal.c~remove-mod_incdec_use_count-users-that-got-back-in drivers/net/ibm_emac/ibm_emac_mal.c
--- 25/drivers/net/ibm_emac/ibm_emac_mal.c~remove-mod_incdec_use_count-users-that-got-back-in	2004-09-06 14:27:58.107493088 -0700
+++ 25-akpm/drivers/net/ibm_emac/ibm_emac_mal.c	2004-09-06 14:27:58.117491568 -0700
@@ -55,8 +55,6 @@ int mal_register_commac(struct ibm_ocp_m
 
 	write_unlock_irqrestore(&mal_list_lock, flags);
 
-	MOD_INC_USE_COUNT;
-
 	return 0;
 }
 
@@ -73,8 +71,6 @@ int mal_unregister_commac(struct ibm_ocp
 
 	write_unlock_irqrestore(&mal_list_lock, flags);
 
-	MOD_DEC_USE_COUNT;
-
 	return 0;
 }
 
diff -puN drivers/net/lasi_82596.c~remove-mod_incdec_use_count-users-that-got-back-in drivers/net/lasi_82596.c
--- 25/drivers/net/lasi_82596.c~remove-mod_incdec_use_count-users-that-got-back-in	2004-09-06 14:27:58.109492784 -0700
+++ 25-akpm/drivers/net/lasi_82596.c	2004-09-06 14:27:58.117491568 -0700
@@ -1426,8 +1426,6 @@ static int i596_close(struct net_device 
 	free_irq(dev->irq, dev);
 	remove_rx_bufs(dev);
 
-	MOD_DEC_USE_COUNT;
-
 	return 0;
 }
 
_
